module StartHer
  class Configuration
    attr_accessor :redis, :backlog_ttl
    attr_writer :logger

    def initialize
      @redis = {}
      @backlog_ttl = 60 * 60 * 24 * 7 # 1.week
    end

    def logger
      @logger ||= StartHer::Logger.instance
    end
  end
end
